## geocode-error geocode-error — Error helper functions |

## Functions

GQuark | geocode_error_quark ()

## Types and Values

#define | GEOCODE_ERROR
enum | GeocodeError

## Includes

    #include <geocode-glib/geocode-glib.h>

## Description

Contains helper functions for reporting errors to the user.

## Functions

### geocode_error_quark ()

    GQuark
    geocode_error_quark (void);

Gets the geocode-glib error quark.

#### Returns

a GQuark.

## Types and Values

### GEOCODE_ERROR

    #define GEOCODE_ERROR (geocode_error_quark ())

Error domain for geocode-glib. Errors from this domain will be from the GeocodeError enumeration. See GError for more information on error domains.

### enum GeocodeError

Error codes returned by geocode-glib functions.

#### Members

GEOCODE_ERROR_PARSE | An error occured parsing the response from the web service. |
GEOCODE_ERROR_NOT_SUPPORTED | The request made was not supported. |
GEOCODE_ERROR_NO_MATCHES | The requests made didn't have any matches. |
GEOCODE_ERROR_INVALID_ARGUMENTS | The request made contained invalid arguments. |
GEOCODE_ERROR_INTERNAL_SERVER | The server encountered an (possibly unrecoverable) internal error. |